# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "kml"
version = "0.0.6"
authors = ["Pat Sier <pjsier@gmail.com>"]
exclude = [".github/*"]
description = "KML support for Rust"
documentation = "https://docs.rs/kml/"
readme = "README.md"
keywords = ["geo", "geospatial", "kml"]
license = "MIT"
repository = "https://github.com/pjsier/kml"
[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--cfg", "docsrs"]

[[bench]]
name = "parse"
harness = false
[dependencies.geo-types]
version = ">=0.6, <0.8"
optional = true

[dependencies.num-traits]
version = "0.2"

[dependencies.quick-xml]
version = "0.20"

[dependencies.thiserror]
version = "1.0"

[dependencies.zip]
version = "0.5"
optional = true
[dev-dependencies.criterion]
version = "0.3"

[features]
default = ["geo-types", "zip"]
